package com.willalp.app.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * app首页数据对象 hs_app_home_data
 *
 * @author willalp
 * @date 2022-01-18
 */

@TableName("hs_app_home_data")
public class HsAppHomeData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String homeContentId;

    /** 父级id */
    @Excel(name = "父级id")
    private String homeParentId;

    /** 文本内容 */
    @Excel(name = "文本内容")
    private String text;

    /** 链接地址 */
    @Excel(name = "链接地址")
    private String link;

    /** 图片路径 */
    @Excel(name = "图片路径")
    private String imgPath;

    /** 首页分组类型（1=顶部轮播图，2=中间宫格，3=列表） */
    @Excel(name = "首页分组类型", readConverterExp = "1==顶部轮播图，2=中间宫格，3=列表")
    private Integer homeGroupType;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    private HsAppHomeData hsAppHomeData;

    public void setHomeContentId(String homeContentId)
    {
        this.homeContentId = homeContentId;
    }

    public String getHomeContentId()
    {
        return homeContentId;
    }
    public void setHomeParentId(String homeParentId)
    {
        this.homeParentId = homeParentId;
    }

    public String getHomeParentId()
    {
        return homeParentId;
    }
    public void setText(String text)
    {
        this.text = text;
    }

    public String getText()
    {
        return text;
    }
    public void setLink(String link)
    {
        this.link = link;
    }

    public String getLink()
    {
        return link;
    }
    public void setImgPath(String imgPath)
    {
        this.imgPath = imgPath;
    }

    public String getImgPath()
    {
        return imgPath;
    }
    public void setHomeGroupType(Integer homeGroupType)
    {
        this.homeGroupType = homeGroupType;
    }

    public Integer getHomeGroupType()
    {
        return homeGroupType;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("homeContentId", getHomeContentId())
            .append("homeParentId", getHomeParentId())
            .append("text", getText())
            .append("link", getLink())
            .append("imgPath", getImgPath())
            .append("homeGroupType", getHomeGroupType())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    public HsAppHomeData getHsAppHomeData() {
        return hsAppHomeData;
    }

    public void setHsAppHomeData(HsAppHomeData hsAppHomeData) {
        this.hsAppHomeData = hsAppHomeData;
    }
}
